The workspace this key reaches
GET
/v1/workspace
const url = 'https://api.pensievelabs.co/v1/workspace';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.pensievelabs.co/v1/workspace \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”The workspace.
Media typeapplication/json
object
id
required
string
object
required
name
required
string
mode
required
string
region
required
string
created_at
required
string format: date-time
Example
{ "id": "ws_demo", "object": "workspace", "mode": "sandbox", "region": "Your VPC · us-east-1"}default
Section titled “default”Something went wrong; error.type says what.
Media typeapplication/json
object
error
required
object
type
required
string
message
required
string
param
The request field the error is about.
string | null
request_id
required
string
Example
{ "error": { "type": "invalid_request" }}